#
# spec file for package yast2-rear
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-rear
Version:        4.1.0
Release:        lp151.1.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  doxygen
BuildRequires:  libxslt
BuildRequires:  perl-XML-Writer
BuildRequires:  sgml-skel
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-storage-ng
BuildRequires:  yast2-testsuite
Requires:       rear >= 1.10.0
Requires:       yast2
Requires:       yast2-storage-ng

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Rear - Relax and Recover
License:        GPL-2.0-only
Group:          System/YaST

%description
The YaST2 component for configuring Rear - Relax and Recover Backup


%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/rear
%{yast_yncludedir}/rear/*
%{yast_clientdir}/rear.rb
%{yast_moduledir}/RearSystemCheck.*
%{yast_moduledir}/Rear.*
%dir %{yast_libdir}/rear
%{yast_libdir}/rear/*.rb
%{yast_desktopdir}/rear.desktop
%{yast_scrconfdir}/*.scr
%{yast_icondir}
%doc %{yast_docdir}
%license COPYING

%changelog
* Tue Dec 18 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- 4.1.0
* Sun Nov 25 2018 Noah Davis <noahadvs@gmail.com>
- Provide icon with module (boo#1109310)
- 4.0.1
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Fri Apr  6 2018 mfilka@suse.com
- bnc#1087957 - version bump
- 4.0.0
* Fri Aug 11 2017 ancor@suse.com
- Use yast2-storage-ng instead of yast2-storage (part of
  fate#318196)
- 3.3.0
* Tue Aug  1 2017 lslezak@suse.cz
- Added missing files to the RPM package, the recently added
  source files were not installed and packaged into the final RPM
  (bsc#1051340)
- 3.2.1
* Wed Feb  8 2017 cwh@suse.com
- Removed outdated checks for unsupported system configuration
  (fate#321535)
- Included config defaults that are needed to make rear work on
  SLE12 SP2 and current state of SP3
- 3.2.0
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Mon May 19 2014 tgoettlicher@suse.de
- Adapted dependency to rear
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Mon Feb 25 2013 tgoettlicher@suse.de
- Improved error message (bnc #804439)
- Adapted version number to comply with YaST conventions
- Version 2.17.0
* Fri Dec 28 2012 tgoettlicher@suse.de
- reworked kernel module dialog
- Version 0.0.10
* Thu Dec 20 2012 tgoettlicher@suse.de
- improved code according to code review
- Version 0.0.9
* Mon Nov 19 2012 tgoettlicher@suse.de
- improved supportability checks
* Mon Oct  8 2012 tgoettlicher@suse.de
- initial check-in
